﻿/*body {
                    overflow: hidden;*/ /* Hide scrollbars */
/*}*/

html {
    height: 100vh;
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar,
div.section::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body,
div.section {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
    font-family: Lato;
    /*border:1px solid red;*/
}

#Backdrop {
    display: none;
}

body.standalone-3d #if3D {
    top: 0 !important;
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;
    width: auto !important;
    height: auto !important;
}

body.only-page .sectionHeader,
body.only-page #SplashSpacer {
    display: none;
}

body.iframe {
    overflow: hidden;
    height: 100%;
}

body.iframe #Backdrop {
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: white;
}
body.iframe div.section {
    z-index: -1;
    position: fixed !important;
    right: 0;
    top: 0;
    left: 0;
    bottom: 0px;
}
body.iframe div.section.scrollable-section {
    overflow-y: auto !important;
}
body.iframe div.section.section-active {
    z-index: auto;
}
body.iframe #TermsOfServiceContainer {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    margin-bottom: 0 !important;
}
body.iframe #TermsOfServiceContainer .terms-of-service-text {
    display: inline-block;
    background-color: rgba(251, 245, 245, 0.7);
    border-radius: 4px;
    vertical-align: bottom;
    font-size: 10px;
}
body.iframe .section-content.section-content-hidden {
    z-index: -1 !important;
}

button.btn-plain {
    border: none;
    background: none;
    cursor: pointer;
}
button.btn-plain:focus {
    outline: none;
}

.constrained-width {
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;
}

.hidden {
    display: none !important;
}
div.sectionHeader {
    font-family: Lato;
    font-size: 22px;
  /*  background-color: yellow;*/
    text-align: left;
    vertical-align: top;
    /*            background-image: linear-gradient(rgba(56,56,56,0.7), rgba(104,104,104,0.3));*/
    /*            line-height: 250px;
            height: 250px;*/
    color: #4a4a4a;
 /*   margin-top: 100px;*/
    margin-bottom: -25px;
    margin-top: 50px;
}

div.sectionHeader img {
    height: 1em;
}

body.navbar-hidden div.sectionHeader {
    margin-bottom: 45px;
}

div.section {
    border-top: none;
/*    border:2px solid lime;*/
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    /*z-index: 0;*/
    overflow: hidden;
    /*margin-top: -25px;*/ /*reduce the white space between the heading and the section content. Using that negative margin makes it so the scrolling stuff still lines up properly*/
}     

#if3D:not(.on-floorplan) #FloorplanLevels,
#if3D.on-floorplan #FullscreenBtn,
#if3D.on-floorplan #PanoLevelsDropdown,
#if3D.on-floorplan .level-got-it-3d {
    display: none !important;
}

.gm-custom-button {
    background: none padding-box padding-box rgb(255, 255, 255);
    display: table-cell;
    border: 0px;
    margin: 0px;
    padding: 0px 17px;
    text-transform: none;
    position: relative;
    cursor: pointer;
    user-select: none;
    direction: ltr;
    overflow: hidden;
    text-align: center;
    height: 40px;
    vertical-align: middle;
    color: rgb(86, 86, 86);
    font-family: Roboto, Arial, sans-serif;
    font-size: 18px;
    border-bottom-right-radius: 2px;
    border-top-right-radius: 2px;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 4px -1px;
}

    .gm-custom-button:hover {
        background: none padding-box padding-box rgb(235, 235, 235);
        color: black;
    }

#Navbar {
    /*min-height: 70px;*/ /* must match #div.section.height */
    position: fixed; /*sticky*/
    top: 0;
    width: 100%;
    z-index: 2000 !important; /* make sure on top of iframes */
    border-bottom: 1px solid rgba(0, 0, 0, .5);
    /* background-color: gray;*/
    /*background-image: linear-gradient(rgba(56,56,56,0.7), rgba(104,104,104,0.3));*/

    min-height: 35px;
    padding-top: 0;
    padding-bottom: 0;
}

#Navbar.navbar-hidden {
    visibility: hidden;
    height:0px;
    min-height: 0px;
}

.margin-narrow, div.sectionHeader {
    margin-left: 15px;
    margin-right: 15px;
}
body.iframe .margin-narrow {
    margin-left: 15px !important;
    margin-right: 15px !important;
}

.navbar-toggler:focus {
    outline: none;
}
.navbar-toggler {
    line-height: 0;
    padding: 3px 0.25em;
}
.navbar-toggler-icon {
    width: 1em;
    height: 1em;
}

.nav-main {
display: none;
}
.navbar-brand {
    line-height: 0;
}
.navbar-brand img {
    height: 20px;
}

.nav-link {
    font-family: Lato !important;
    white-space: nowrap;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}
.nav-link:not(.disabled) {
    color: black !important;    /* do it this way so bootstrap styles handle disabled link */
}

.nav-left {
    font-size: 18px !important;
    overflow: hidden;
}

#NavLeft1 { 
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
}

#NavLeft2,
#NavLeft3 {
    font-size: 16px;
}

.hidden-1 #NavLeft1,
.hidden-2 #NavLeft2,
.hidden-3 #NavLeft3 {
    display: none;
}

.navbar-slot img {
    max-height: 25px;
}

.nav-right {
    font-size: 14px !important;
}

/*#Info, #Map {*/
/*padding-top: 30px;*/ /* if menu is on top dont let the menu hide anything set to menu height */
/*padding-bottom: 100px;*/ /* if menu is on bottom dont let the menu hide anything set to menu height */
/*}*/

div.Map {
    overflow: hidden;
    width: 100%;
    min-width: 100%;
    height: 100%;
    min-height: 100%;
}

#Map {
    display: flex;
    flex-direction: column;
}
#MapContents {
    position: relative;
    flex-grow: 1;
    width: 100%;
    height: 100%;
    background-color: rgb(229, 227, 223); /* matches google maps background color (for loading) */
}

.loading-text {
    color: white;
    position: absolute;
    width: 100%;
    bottom: 50%;
    font-size: 30px;
    text-shadow: 2px 2px 2px gray;
    text-align: center;
}

#Debug, #imgSize {
    position: fixed;
    left: 100px;
    top: 100px;
    background-color: black;
    color: white;
    z-index: 10000;
}

#imgSize {
    left: 50px;
}


.imgCover, .imgContain {
/*    width: 100%;
    height: 100%;*/
    background-repeat: no-repeat;
    z-index: 0;
    /*overflow: hidden;*/
}

.imgContain {
    /*background-size:  800px 600px;*/
    background-size: contain;
/*    background-position: center center;*/
}

.imgCover {
    background-size: cover;
    background-position: center center;
}

#divFP.mobile {
    margin-top: 0.5rem;
}

#divFP:not(.mobile) {
    position: absolute !important;
}

#fpImg {
    width: 100%;
    height: 100%;
    /*    max-height:100%;
    min-height:100%;
    height: 100%;*/
    background-size: contain;
    background-repeat: no-repeat;
    /*    background-position: top;
    background-position: center center;*/
    z-index: 0;
    /*    Xoverflow: hidden;
    border:1px solid red;*/
}

#fpImg,
.carousel-img {
    image-rendering: -webkit-optimize-contrast;
}

div.FloorPlanContainerNormal {
    display: block;
}
div.FloorPlanContainerPortrait {
    display:flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}
div.FloorPlanContainerLandscape {
    display:flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
}

.carousel-inner > .item > img,
.carousel-inner > .item > a > img {
    width: 100%;
    height: 100%;
    margin: auto;
}


/*.SummaryValue { width: 187px; height: 76px; color:black; text-align:center; font-size: 40px;  font-weight:500; }
.SummaryLabel { text-align:center; font-size: 16px; line-height:60px; }*/

.summary-info {
    /*width: 100%;*/
   /*  background-color:lime;*/
    vertical-align:top;
    display: flex;
    flex-wrap: wrap;
    /*justify-content: space-evenly;*/
/*    margin-left:-35px;*/
    justify-content: center;
    /*justify-content: flex-start;*/
}

.summary-item {
   /* display: inline-block;*/
    /*background-color:yellow;*/
    /*border:solid black 1px;*/
/*    width: 125px;
    height: 76px;*/
    font-size: 18px;
    font-family: Lato;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: 1.43px;
    text-align: center;
    color: #000000;
    
}

#SummaryPrice { width:initial; }  /*let price expand*/

.summary-info-text {
/*    background-color:lime;*/
    font-size: 10px;
    font-weight: normal;
    letter-spacing: 0.57px;
    text-align: center;
    white-space:nowrap;
}

.summary-text {
    font-size: 12px;
    margin-top: 35px;
    font-family: Lato;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: 0.64px;
    color: #000000;
    align-self:flex-start;
}

.summary-item, .summary-text {
    margin: 0px 5px 15px 5px;
}

.line-break {
  width: 100%;
}

.moreless { position:relative; z-index:1; font-size:14px; cursor: pointer; } /*need to position itself on top of SummaryImgs  */

.more-text {
  display: none;
}
.more-text-indicator {
  display:inline-block;
}

#SummaryImgs {
    position:relative;
    width:100%;
    top: 0;
    /*border:1px solid lime;*/
}

div.SummaryImg  {
/*    display:inline-block;*/
    /*border: solid 2px blue;*/
    position:absolute;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center; /*  not only positions the photo but determines which is more important.  so center top centers the photo horizontal and aligns to the top and makes the top the most important */
}

#SummaryImg1{
    left:0px;
    bottom:0px;
}

#SummaryImg2{
}

#SummaryImg3{
    right:0px;
    top:0px;
}

#SummaryImg4{

    right:0px;
    bottom:0px;
}



/*FloorPlan*/
.photo-dimension-toggle {
    cursor: pointer;
    margin-left: 4px;
    height: calc(1.5em + 4px); /* line-height + padding of the level dropdown */
    box-shadow: 0 2px 6px rgba(0,0,0,.3);
    border-radius: 3px;
}

img.Drag, img.DragPiP    { position:absolute; left:  -10px; top:-10px; background-color:white; border-radius:7px; opacity:0.75; z-index:1000; }
.fp-drag-icon {
    position: absolute;
    top: 4px;
    left: 4px;
}

#swgrip {
    bottom: 1px;
    left: 1px;
    transform: scaleX(-1);
}

#divFP.mobile .fp-drag-icon, 
#divFP.mobile #swgrip {
    display: none;
}

#imgFP {
    border-radius: 7px;
    box-shadow: 0 1px 8px 0 rgba(0, 0, 0, 0.5);
    cursor: grab;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
#imgDrag {     cursor: grab; }

.ui-draggable-dragging #imgFP, .ui-draggable-dragging #imgDrag {  cursor: grabbing; }

divInstructions, #divInstructions:empty, #divRotateMsg {  
    display:none; 
    position: absolute;
    z-index: 300; 
    /*xleft:0px; 
    xtop:0px; 
    xleft: 50%; 
    xtop:50%; 
    xtransform: translate(-50%, -50%);*/
    margin:0px; 
    padding: 5px; 
    font-family: LatoWebSemibold; 
    font-size: 16px; 
    color: #4285f4; /*#940000; #ff0033; #7f7f7f;*/  
    background-color:#d3d3d3;
    opacity:0.85; text-align: center;                 
    border: 3px solid #4285f4;/* #940000; #ff0033; ximportant;  #7f7f7f; #940000;*/
    border-radius:15px; 
    z-index:200;  
    line-height: normal; 
    white-space: nowrap;
} /* line-height to normal since parent has 0px.  white-space: nowrap; looks better but caues a small FP on a small screen to produce scrollbars in IE only. actually nowrap is needed otherwise the div will jump around  !important needed for IE?? */


.image-size-hint {
    left: initial;
    bottom: 10px;
    right: 10px;
    max-width: initial;
}

#CarouselBottomRightContainer {
    bottom: 75px;
}

/* FLOOR PLAN VIDEO */
#FloorPlanVideoContainer {
    height: 100%;
}

.social-links {
    text-align: center;
}
.social-links div {
    display: inline-block;
}
.social-links  a,
.social-links button {
    display: inline-block;
    padding: 15px;
}
.home-info {
    font-size: 18px;
}
table.VFPT_InfoMLSData {
    width: 100%;
    table-layout: fixed;
}

table.VFPT_InfoMLSData td {
    width: 50%;
    vertical-align: top;
    padding-right: 1rem;
    padding-bottom: 0.5rem;
    word-break: break-word;
}

p.table-heading {
    font-weight: 600;
    margin-bottom: 0.5rem;
    margin-top: 0.5rem;
    border-bottom: 2px solid #4a4a4a;
}
div.Branding {
    display: inline-block;
}
div.InfoBranding {
    text-align: center;
}

/* CONTACT US */
#Contact {
    overflow: visible;
}
.contact-us-container {
    background-color: #eee;
}
.contact-us-row {
    flex-wrap: wrap-reverse;
    padding-top: 20px;
    padding-bottom: 20px;
    justify-content: center;
    font-size: 19px;
    font-style: normal;
    line-height: 1.05;
    letter-spacing: normal;
    color: #4a4a4a;
}
.contact-us-card {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    z-index: 1;
    max-width: 533px;
}
.contact-us-card .card-body {
    padding: 25px;
}
#AgentImage {
   flex: 1;
   position: relative;
}
#AgentImage img {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 100%;
    max-height: 100%;
    transform: translate(-50%, -50%);
}
.agent-info {
    margin-bottom: 20px;
    font-family: Montserrat;
    font-size: 24px;
    letter-spacing: -0.7px;
    line-height: 1.4;
    color: #424242;
    height: 450px;
    word-break: break-word;
}
.agent-info a,
.agent-info a:hover 
.agent-info a:focus {
    color: #424242;
    text-decoration: none;
    outline: none;
}
.agent-info .agent-name,
.agent-info #CompanyName {
    font-weight: 600;
}
.agent-info .agent-phone {
    font-weight: 500;
}
.agent-info .agent-site {
    font-size: 18px;
    letter-spacing: -0.52px;
}
.contact-us-title {
    font-size: 14px;
    letter-spacing: 2.8px;
    color: #333333;
    font-weight: bold;
}
.contact-us-card .form-control {
    font-size: 14px;
    padding-top: 12px;
    padding-bottom: 12px;
    resize: none;
}
.contact-us-card ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    font-style: italic;
    color: #b1b1b1;
}
.contact-us-card ::-moz-placeholder { /* Firefox 19+ */
    font-style: italic;
    color: #b1b1b1;
}
.contact-us-card :-ms-input-placeholder { /* IE 10+ */
    font-style: italic;
    color: #b1b1b1;
}
.contact-us-card :-moz-placeholder { /* Firefox 18- */
    font-style: italic;
    color: #b1b1b1;
}
.contact-us-card .submit-button {
    width: 100%;
    height: 46px;
    border-radius: 40px;
    background-color: #9b9b9b;
    font-size: 14px;
    border: none;
}
.contact-logos {
    margin: 26px 15px 15px 15px;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    min-height: 60px;
}
.contact-logos .truplace-logo {
    height: 59px;
}
.contact-logos .logos-right {
    text-align: right;
}
.contact-logos .logos-right img {
    max-width: 100%;
    max-height: 60px;
}

#TermsOfServiceContainer {
    font-size: 14px;
    line-height: 1;
}
#TermsOfService {
    text-decoration: underline;
    cursor: pointer;
}

.k-window {
    width: 95%;
    max-width: 800px;
    height: 90vh;
    max-height: 700px;
}
@media (min-width: 400px) {
    #TermsOfServiceContainer {
        font-size: 1rem;
        line-height: 1.5;
    }
}
@media (min-width: 576px) {
    .contact-us-row {
        font-size: 21px;
        line-height: 1.05;
    }
    .contact-us-card .form-group {
        margin-bottom: 25px;
    }
    .contact-us-title {
        margin-bottom: 38px;
    }
    .contact-us-card .card-body {
        padding: 45px 50px;
    }

    .summary-item {
        font-size: 22px;
    }
    .summary-info-text {
        font-size: 12px;
    }
    .summary-text {
        font-size: 14px;
    }
}

@media (min-width: 768px) {
    body:not(.iframe) #Navbar {
        min-height: 70px; /* must match #div.section.height */
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }
    body:not(.iframe) .navbar-toggler {
        line-height: 1;
        padding: 0.25rem 0.75rem;
    }
    body:not(.iframe) .navbar-toggler-icon {
        width: 1.5em;
        height: 1.5em;
    }
    body:not(.iframe) .navbar-brand img {
        height: 28px;
    }
    body:not(.iframe) .nav-link {
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }
    body:not(.iframe) .nav-left {
        font-size: 25px !important;
    }
    body:not(.iframe) #NavLeft2,
    body:not(.iframe) #NavLeft3 {
        font-size: 20px;
    }
    body:not(.iframe) .navbar-slot img {
        max-height: 35px;
    }
    body:not(.iframe) .nav-right {
        font-size: 16px !important;
    }

    div.sectionHeader {
        font-size: 30px;
    }

    .margin-narrow, div.sectionHeader {
        margin-left: 25px;
        margin-right: 25px;
    }

    div.sectionHeader {
        margin-top: 100px;
    }

    .contact-us-row {
        padding-top: 50px;
        height: 600px;
        flex-wrap: wrap;
    }
    .agent-info {
        margin-bottom: 0px;
        height: 100%;
    }
    .contact-us-card {
        height: 630px;
    }
    .contact-logos {
        min-height: 120px;
        margin-right: 28px;
    }
    .contact-logos .logos-right img {
        max-height: 120px;
        max-width: 250px;
    }

    .tooltip-got-it .tooltip-inner {
        padding: 6px 8px 8px 8px;
    }
    .tooltip-got-it p {
        font-size: 12px;
        margin-bottom: 1rem;
    }
    .got-it-button {
        font-size: 12px;
        padding: 0.25rem 1rem;
    }

    .summary-item {
        font-size: 30px;
    }
    .summary-info-text {
        font-size: 14px;
    }
    .summary-text {
        font-size: 16px;
    }
    #SummaryImgs {
        top: -28px;
    }
}

@media (min-width: 992px) {
    .margin-narrow, div.sectionHeader {
        margin-left: 75px;
        margin-right: 75px;
    }

    .summary-item {
        font-size: 40px;
    }
    .summary-info-text {
        font-size: 16px;
    }
    .summary-text {
        font-size: 18px;
    }
}

#ComingSoonImage { display:block; margin-left:auto; margin-right:auto; width:100%; border-radius:10px; Xopacity:0.1; padding-top: 20px; }

map area { outline: none; } /* hide outline input chrome when clicked */